Bug 1930554 - [sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should allow multicast traffic in namespaces where it is enabled
Summary: [sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Aniket Bhat
QA Contact: Weibin Liang
URL:
Whiteboard:
: 1934697 (view as bug list)
Depends On: 1902054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-19 07:06 UTC by Miciah Dashiel Butler Masters
Modified: 2021-06-11 15:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1902054
Environment:
[sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should allow multicast traffic in namespaces where it is enabled [sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should block multicast traffic in namespaces where it is disabled
Last Closed: 2021-06-11 15:27:01 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25933 0 None open [release-4.5] Bug 1930554: Update multicast test image for use in release-4.5 2021-03-03 18:16:24 UTC

Description Miciah Dashiel Butler Masters 2021-02-19 07:06:26 UTC
The "[sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should block multicast traffic in namespaces where it is disabled" and "[sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should allow multicast traffic in namespaces where it is enabled" CI tests are failing frequently on 4.5; see https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=4.5&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-network%5C%5D+multicast+when+using+one+of+the+plugins+%27redhat%2Fopenshift-ovs-multitenant%2C+redhat%2Fopenshift-ovs-networkpolicy%27+should+block+multicast+traffic+in+namespaces+where+it+is+disabled and https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=4.5&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-network%5C%5D+multicast+when+using+one+of+the+plugins+%27redhat%2Fopenshift-ovs-multitenant%2C+redhat%2Fopenshift-ovs-networkpolicy%27+should+allow+multicast+traffic+in+namespaces+where+it+is+enabled

For example, https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-ocp-4.5-e2e-vsphere-upi/1362526792660815872 has the following failure:

    fail [github.com/openshift/origin/test/extended/networking/multicast.go:127]: Unexpected error:
        <*errors.errorString | 0xc000f51ff0>: {
            s: "Gave up after waiting 5m0s for pod \"multicast-1\" to be \"running\"",
        }
        Gave up after waiting 5m0s for pod "multicast-1" to be "running"
    occurred

I also see the following in the test's stdout:

    Feb 18 23:21:08.841: INFO: At 2021-02-18 23:16:10 +0000 UTC - event for multicast-1: {kubelet compute-0} Failed: Failed to pull image "openshift/test-multicast": rpc error: code = Unknown desc = Error reading manifest latest in docker.io/openshift/test-multicast: toomanyrequests: You have reached your pull rate limit. You may increase the limit by authenticating and upgrading: https://www.docker.com/increase-rate-limit

So this seems to be an issue with Docker rate limiting, which was fixed for 4.6 with bug 1902054; perhaps the fix needs to be backported to 4.5.  

+++ This bug was initially created as a clone of Bug #1902054 +++

+++ This bug was initially created as a clone of Bug #1901675 +++

Comment 1 Aniket Bhat 2021-03-03 18:14:55 UTC
*** Bug 1934697 has been marked as a duplicate of this bug. ***

Comment 7 Weibin Liang 2021-05-04 13:28:58 UTC
Still failed in https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-azure-ovn-4.5/1388932067567341568


: [sig-network] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should allow multicast traffic in namespaces where it is enabled [Suite:openshift/conformance/parallel] expand_less	35s
fail [github.com/openshift/origin/test/extended/util/client.go:214]: Unexpected error:
    <*errors.StatusError | 0xc0022eab40>: {
        ErrStatus: {
            TypeMeta: {Kind: "", APIVersion: ""},
            ListMeta: {
                SelfLink: "",
                ResourceVersion: "",
                Continue: "",
                RemainingItemCount: nil,
            },
            Status: "Failure",
            Message: "Timeout: request did not complete within requested timeout 34s",
            Reason: "Timeout",
            Details: {Name: "", Group: "", Kind: "", UID: "", Causes: nil, RetryAfterSeconds: 0},
            Code: 504,
        },
    }
    Timeout: request did not complete within requested timeout 34s
occurred


Note You need to log in before you can comment on or make changes to this bug.